## Class block_on_overflow

boost::log::sinks::block_on_overflow — Blocking strategy for handling log record queue overflows.

## Synopsis

    // In header: <boost/log/sinks/block_on_overflow.hpp>

    class block_on_overflow {
    };

## Description

This strategy will cause enqueueing threads to block when the log record queue overflows. The blocked threads will be woken as soon as there appears free space in the queue, in the same order they attempted to enqueue records.